Public Member Functions | Public Attributes | List of all members
libqxp::Point Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| Point ()
| Point (double xVal, double yVal)
Point | move (double dx, double dy) const
Point | rotateDeg (double rotationDeg, const Point &center) const
double | distance (const Point &p2) const

## Public Attributes
double | x
double | y

## Constructor & Destructor Documentation

## ◆ Point() [1/2]

libqxp::Point::Point | ( |  | ) |
| inline

Referenced by move(), and rotateDeg().

## ◆ Point() [2/2]

libqxp::Point::Point | ( | double | xVal,
|  | double | yVal
| ) |  |
| inline

## Member Function Documentation

## ◆ distance()

double libqxp::Point::distance | ( | const Point & | p2 | ) | const

## ◆ move()

Point libqxp::Point::move | ( | double | dx,
|  | double | dy
| ) |  | const

Referenced by libqxp::Rect::center().

## ◆ rotateDeg()

Point libqxp::Point::rotateDeg | ( | double | rotationDeg,
|  | const Point & | center
| ) |  | const

Referenced by libqxp::QXPContentCollector::drawRectangle().

## Member Data Documentation

## ◆ x

double libqxp::Point::x

Referenced by distance(), libqxp::QXPContentCollector::CollectedPage::getPoint(), move(), libqxp::operator==(), libqxp::QXPParser::readYX(), and rotateDeg().

## ◆ y

double libqxp::Point::y

Referenced by distance(), libqxp::QXPContentCollector::CollectedPage::getPoint(), move(), libqxp::operator==(), libqxp::QXPParser::readYX(), and rotateDeg().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp